Package wx :: Module xrc

[frames | no frames]

## Module wx.xrc

The `XmlResource` class allows program resources defining menus, layout of controls on a panel, etc. to be loaded from an XML file.

Classes
`XmlDocument` | Proxy of C++ XmlDocument class
`XmlNode` | Proxy of C++ XmlNode class
`XmlProperty` | Proxy of C++ XmlProperty class
`XmlResource` | Proxy of C++ XmlResource class
`XmlResourceHandler` | Proxy of C++ XmlResourceHandler class
`XmlSubclassFactory` | Proxy of C++ XmlSubclassFactory class
`XmlSubclassFactory_Python` |

Function Summary
XmlDocument | `EmptyXmlDocument()`
XmlResource | `EmptyXmlResource(flags, domain)`
XmlDocument | `XmlDocumentFromStream(stream, encoding)`
XmlNode | `XmlNodeEasy(type, name, content)`
| `XRCCTRL(window, str_id, *ignoreargs)`
| `XRCID(str_id, value_if_not_found)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:28 2007 | http://epydoc.sf.net